## org.gnu.gtk
Class Orientation

    java.lang.Object
      org.gnu.glib.Enum
          org.gnu.gtk.Orientation

public class Orientation
extends Enum

Field Summary
`static Orientation` `HORIZONTAL`
`static Orientation` `VERTICAL`

Fields inherited from class org.gnu.glib.Enum
`value_`

Method Summary
`Orientation` `and(Orientation other)`
`static Orientation` `intern(int value)`
`Orientation` `or(Orientation other)`
`boolean` `test(Orientation other)`
`Orientation` `xor(Orientation other)`

Methods inherited from class org.gnu.glib.Enum
`equals, getValue, hashCode`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### HORIZONTAL

    public static final Orientation HORIZONTAL

### VERTICAL

    public static final Orientation VERTICAL

Method Detail

### intern

    public static Orientation intern(int value)

### or

    public Orientation or(Orientation other)

### and

    public Orientation and(Orientation other)

### xor

    public Orientation xor(Orientation other)

### test

    public boolean test(Orientation other)